MuleManifest (Mule ESB 2.2.1 API)
Keywords: org.mule.config.MuleManifest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class MuleManifest

    java.lang.Object
      org.mule.config.MuleManifest

    public class MuleManifest

extends Object

This is a static class that provides access to the Mule core manifest file.

Field Summary
`protected static Log` | `logger` logger used by this class

Constructor Summary
`MuleManifest()`

Method Summary
`static String` | `getBuildDate()`
`static String` | `getBuildNumber()`
`static String` | `getDevListEmail()`
`static String` | `getDTDPublicId()`
`static String` | `getDTDSystemId()`
`static Manifest` | `getManifest()`
`protected static String` | `getManifestProperty(String name)`
`static String` | `getProductDescription()`
`static String` | `getProductLicenseInfo()`
`static String` | `getProductMoreInfo()`
`static String` | `getProductName()`
`static String` | `getProductSupport()`
`static String` | `getProductUrl()`
`static String` | `getProductVersion()`
`static String` | `getVendorName()`
`static String` | `getVendorUrl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### MuleManifest

    public MuleManifest()

Method Detail

### getProductVersion

    public static String getProductVersion()

### getVendorName

    public static String getVendorName()

### getVendorUrl

    public static String getVendorUrl()

### getProductUrl

    public static String getProductUrl()

### getProductName

    public static String getProductName()

### getProductMoreInfo

    public static String getProductMoreInfo()

### getProductSupport

    public static String getProductSupport()

### getProductLicenseInfo

    public static String getProductLicenseInfo()

### getProductDescription

    public static String getProductDescription()

### getBuildNumber

    public static String getBuildNumber()

### getBuildDate

    public static String getBuildDate()

### getDevListEmail

    public static String getDevListEmail()

### getDTDSystemId

    public static String getDTDSystemId()

### getDTDPublicId

    public static String getDTDPublicId()

### getManifest

    public static Manifest getManifest()

### getManifestProperty

    protected static String getManifestProperty(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.